### Function

# GdkX11.x11_device_manager_lookup

#### Declaration [src]

    GdkDevice*
    gdk_x11_device_manager_lookup (
      GdkX11DeviceManagerXI2* device_manager,
      int device_id
    )

#### Description [src]

Returns the `GdkDevice` that wraps the given device ID.

#### Parameters

`device_manager` | `GdkX11DeviceManagerXI2`
| a `GdkDeviceManager`
| Ownership is not transferred to the callee
`device_id` | `int`
| a device ID, as understood by the XInput2 protocol

#### Return value

Returns: `GdkX11DeviceXI2`
The `GdkDevice` wrapping the device ID, or `NULL` if the given ID doesn’t currently represent a device.
Ownership is not transferred to the caller
Can be `NULL`